#
#
#   CMFReportTool - Generating PDF-Skins on the Fly from CMF-Sites
#
#   Copyright (C) 2002  net-labs Systemhaus GmbH
#                                               info@net-labs.de
#
#   This library is free software; you can redistribute it and/or
#   modify it under the terms of the GNU Lesser General Public
#   License as published by the Free Software Foundation; either
#   version 2.1 of the License, or (at your option) any later version.
#
#   This library is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public
#   License along with this library; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

"""Portal report tool.
$Id: ReportPermissions.py,v 1.1.1.1 2002/10/29 20:19:15 ueck Exp $
"""
__version__='$Revision: 1.1.1.1 $'[11:-2]

import Globals, AccessControl, Products
from AccessControl import Permissions

def setDefaultRoles(permission, roles):
    '''
    Sets the defaults roles for a permission.
    '''
    # XXX This ought to be in AccessControl.SecurityInfo.
    registered = AccessControl.Permission._registeredPermissions
    if not registered.has_key(permission):
        registered[permission] = 1
        Products.__ac_permissions__=(
            Products.__ac_permissions__+((permission,(),roles),))
        mangled = AccessControl.Permission.pname(permission)
        setattr(Globals.ApplicationDefaultPermissions, mangled, roles)
		
		
ViewReportToolObjects = 'ReportTool: View Objects'
setDefaultRoles( ViewReportToolObjects, ('Owner') )

ModifyReportToolObjects = 'ReportTool: Modify Objects'
setDefaultRoles( ModifyReportToolObjects, ('Manager','Owner') )

UseReportToolObjects = 'ReportTool: Use Objects'
setDefaultRoles( UseReportToolObjects, ('Owner') )
